#include "T1.hh"
#include <Ice/Ice.h>
#include "interrupt.hh"

//----------------------------------------------------------------------
T1::T1(Interrupt * i)
  : i_(i)
{
}

//----------------------------------------------------------------------
void T1::run()
{
  int argc = 1;
  char * argv[] = { "T1", 0 };
  Ice::CommunicatorPtr ic_= Ice::initialize(argc, argv);
  

  //Ice::Trace log_trc(data_->ic_->getLogger(), "T1");

  //log_trc << "T1 thread started.";
  //log_trc.flush();

  while ( ! i_->interrupted() ) {
    sleep(1);
  }

  if ( ic_ ) ic_->destroy();

  //log_trc << "T1 thread finished.";
  //log_trc.flush();
}
